stylish-haskell-0.8.1.0: Haskell code prettifier

Safe Haskell | None
Language | Haskell98

Language.Haskell.Stylish.Step.Imports

# Documentation

data Options #

Constructors

Options |
Fields importAlign :: ImportAlign listAlign :: ListAlign padModuleNames :: Bool longListAlign :: LongListAlign emptyListAlign :: EmptyListAlign listPadding :: ListPadding separateLists :: Bool spaceSurround :: Bool

Instances

Eq Options # |
Methods (==) :: Options -> Options -> Bool # (/=) :: Options -> Options -> Bool #
Show Options # |
Methods showsPrec :: Int -> Options -> ShowS # show :: Options -> String # showList :: [Options] -> ShowS #

defaultOptions :: Options #

data ImportAlign #

Constructors

Global |
File |
Group |
None |

Instances

Eq ImportAlign # |
Methods (==) :: ImportAlign -> ImportAlign -> Bool # (/=) :: ImportAlign -> ImportAlign -> Bool #
Show ImportAlign # |
Methods showsPrec :: Int -> ImportAlign -> ShowS # show :: ImportAlign -> String # showList :: [ImportAlign] -> ShowS #

data ListAlign #

Constructors

NewLine |
WithAlias |
AfterAlias |

Instances

Eq ListAlign # |
Methods (==) :: ListAlign -> ListAlign -> Bool # (/=) :: ListAlign -> ListAlign -> Bool #
Show ListAlign # |
Methods showsPrec :: Int -> ListAlign -> ShowS # show :: ListAlign -> String # showList :: [ListAlign] -> ShowS #

data LongListAlign #

Constructors

Inline |
InlineWithBreak |
InlineToMultiline |
Multiline |

Instances

Eq LongListAlign # |
Methods (==) :: LongListAlign -> LongListAlign -> Bool # (/=) :: LongListAlign -> LongListAlign -> Bool #
Show LongListAlign # |
Methods showsPrec :: Int -> LongListAlign -> ShowS # show :: LongListAlign -> String # showList :: [LongListAlign] -> ShowS #

data EmptyListAlign #

Constructors

Inherit |
RightAfter |

Instances

Eq EmptyListAlign # |
Methods (==) :: EmptyListAlign -> EmptyListAlign -> Bool # (/=) :: EmptyListAlign -> EmptyListAlign -> Bool #
Show EmptyListAlign # |
Methods showsPrec :: Int -> EmptyListAlign -> ShowS # show :: EmptyListAlign -> String # showList :: [EmptyListAlign] -> ShowS #

data ListPadding #

Constructors

LPConstant Int |
LPModuleName |

Instances

Eq ListPadding # |
Methods (==) :: ListPadding -> ListPadding -> Bool # (/=) :: ListPadding -> ListPadding -> Bool #
Show ListPadding # |
Methods showsPrec :: Int -> ListPadding -> ShowS # show :: ListPadding -> String # showList :: [ListPadding] -> ShowS #
FromJSON ListPadding # |
Methods parseJSON :: Value -> Parser ListPadding # parseJSONList :: Value -> Parser [ListPadding] #

step :: Int -> Options -> Step #